com.massivecraft.factions.event

## Class FactionRelationEvent

- java.lang.Object
- - org.bukkit.event.Event
  - - com.massivecraft.factions.event.FactionRelationEvent

-     public class FactionRelationEvent
      extends org.bukkit.event.Event

  Event called when a Faction relation is called.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.bukkit.event.Event

      `org.bukkit.event.Event.Result`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FactionRelationEvent(Faction sender, Faction target, Relation oldrel, Relation rel)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Faction` | `getFaction()`
    `static org.bukkit.event.HandlerList` | `getHandlerList()`
    `org.bukkit.event.HandlerList` | `getHandlers()`
    `Relation` | `getOldRelation()`
    `Relation` | `getRelation()`
    `Faction` | `getTargetFaction()`

    - ### Methods inherited from class org.bukkit.event.Event

      `getEventName, isAsynchronous`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FactionRelationEvent

          public FactionRelationEvent(Faction sender,
                                      Faction target,
                                      Relation oldrel,
                                      Relation rel)

  - ### Method Detail

    - #### getHandlerList

          public static org.bukkit.event.HandlerList getHandlerList()

    - #### getHandlers

          public org.bukkit.event.HandlerList getHandlers()

      Specified by:
        `getHandlers` in class `org.bukkit.event.Event`

    - #### getOldRelation

          public Relation getOldRelation()

    - #### getRelation

          public Relation getRelation()

    - #### getFaction

          public Faction getFaction()

    - #### getTargetFaction

          public Faction getTargetFaction()